iTunes

Opening the iTunes Store.If iTunes doesn’t open, click the iTunes icon in your Dock or on your Windows desktop.Progress Indicator
Opening the iBooks Store.If iBooks doesn't open, click the iBooks app in your Dock.Progress Indicator
iTunes

iTunes is the world's easiest way to organize and add to your digital media collection.

We are unable to find iTunes on your computer. To download the free app Priest - TOKYOPOP - Film Comic HQ by Tokyopop, get iTunes now.

Do you already have iTunes? Click I Have iTunes to open it now.

I Have iTunes Free Download
iTunes for Mac + PC

Priest - TOKYOPOP - Film Comic HQ

By Tokyopop

Open iTunes to buy and download apps.

Description

The future… The vampire war is raging, and humans have been fighting for their lives for years against a savage foe. Against this backdrop, three Priests and a Priestess are assigned a treacherous covert mission: to locate and recover a powerful ancient relic called the Domas Porada, located deep in the heart of the vampire wasteland. Teamed with five soldiers, the Priests set upon their dangerous journey, slicing and shooting their way through the vampire horde. But little do they know the biggest threat comes from within, as the most ominous casualty of war may not only be their loyalties…but their very minds.

What's New in Version 002

Bug fixes to improve UI and app stability.

Screenshots

iPhone Screenshot 1
iPhone Screenshot 2
iPhone Screenshot 3
iPhone Screenshot 4
iPhone Screenshot 5
iPad Screenshot 1
iPad Screenshot 2
iPad Screenshot 3
iPad Screenshot 4
Priest - TOKYOPOP - Film Comic HQ
View In iTunes
This app is designed for both iPhone and iPad
  • Free
  • Category: Books
  • Updated: 28 October 2010
  • Version: 002
  • Size: 15.9 MB
  • Language: English
  • Developer: TOKYOPOP, Inc.
You must be at least 17 years old to download this application.
  • Frequent/Intense Horror/Fear Themes
  • Infrequent/Mild Profanity or Crude Humor
  • Frequent/Intense Mature/Suggestive Themes
  • Frequent/Intense Cartoon or Fantasy Violence
  • Frequent/Intense Realistic Violence

Compatibility: Requires iOS 3.2 or later. Compatible with iPhone, iPad, and iPod touch.

Customer Ratings

We have not received enough ratings to display an average for the current version of this application.